Bug 987796 - Pops up a window when it fails to get updates
Pops up a window when it fails to get updates
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-packagekit (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 03:47 EDT by Tomas Jamrisko
Modified: 2017-07-01 19:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Jamrisko 2013-07-24 03:47:49 EDT
Description of problem:
When downloading/obtaining of updates fails for whatever reason (e.g. no internet connection) a window notifying about failing updates appears. This windows is a PITA as it appears periodically and several of them can be active. 

Version-Release number of selected component (if applicable):
gnome-packagekit-3.8.2-2.el7

How reproducible:
100%

Steps to Reproduce:
1. Disconnect from the internet, try to get updates. 

Actual results:
A window pops up

Expected results:
There should be a notification

Additional info:
This is a really obnoxious UI "feature". The updates are trying to run without users interference in the background and this window just completely breaks it. A notification once per lost connection is sufficient.
Comment 3 Richard Hughes 2014-05-20 04:30:47 EDT
(In reply to Tomas Jamrisko from comment #0)
> This is a really obnoxious UI "feature". The updates are trying to run
> without users interference in the background and this window just completely
> breaks it. A notification once per lost connection is sufficient.

Upstream we've fixed this so we only notify (without a modal dialog) every 5 times  we fail, i.e. transient errors don't get a pop-up. There are string changes to do this, so not something easily backportable.

Note You need to log in before you can comment on or make changes to this bug.